<?php
    if ($_POST['key'] >= 0 && is_file('../../../usuarios/'.$_COOKIE['usuario'].'.txt') == true && ($_POST['estado'] >= 0 && $_POST['estado'] <= 1)) {
        $tareas = [];
        if($_SERVER['SERVER_NAME'] == 'host.ciberweb.com' && $_SERVER['HTTPS'] == 'on' && is_file('./tareas/'.$_COOKIE['usuario'].'.txt') == true){
            $tareas = json_decode(file_get_contents('./tareas/'.$_COOKIE['usuario'].'.txt'), true);
        }
        $tareas[$_POST['key']][1] = $_POST['estado'];
        file_put_contents('./tareas/'.$_COOKIE['usuario'].'.txt', json_encode($tareas));
        echo 1;
    } else {
        echo 0;
    }
?>